# EESy State Service

The EESy cluster state service monitors the cluster state
and provides an endpoint for users to check the health.
Restricted Access !
Existing customer can request access via [Customer Support for Digital](https://customersupport.digital.slb.com/).
Automatic population of the API Key and S-Auth token is not supported in the "Try It" interface for this API.

```plain Client ID
service-eesy.slbservice.com
```

Version: 1.0

## Servers

```
https://api.delfi.slb.com/engines/v1
```

## Security

### Bearer

User or Service/App/Client Token from SAuth

Type: apiKey
In: header
Name: Authorization

### appkey

AppKey/ Consumer Key from your App on Developer Portal

Type: apiKey
In: header
Name: appkey

## Download OpenAPI description

 - [EESy State Service](https://developer.slb.com/_bundle/solutions/engine-ecosystem/apis/eesy_state_service_openapi.yaml)

## State

 - [GET /state/healthy](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_state_service_openapi/state/healthy.md): Returns the cluster health information
 - [GET /state/details](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_state_service_openapi/state/details.md): Returns the detailed cluster health information
 - [GET /state/quota](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_state_service_openapi/state/quota.md): Returns the quota map for kubernetes and azureVm
 - [GET /state/capacity-constraints](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_state_service_openapi/state/capacityconstraints.md): Returns quota metrics that are currently constrained in the cluster region due to recent cluster-autoscaler scale-up failures.
## Schema Definitions

 - [EESy Cluster Health Status](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_state_service_openapi/schema-definitions/clusterhealthstatus.md): Schema: #/components/schemas/ClusterHealthStatus
 - [EESy Cluster Health Details](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_state_service_openapi/schema-definitions/clusterstatedetails.md): Schema: #/components/schemas/ClusterStateDetails
 - [ClusterQuotaDetails](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_state_service_openapi/schema-definitions/clusterquotadetails.md): Schema: #/components/schemas/ClusterQuotaDetails
 - [CapacityConstraints](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_state_service_openapi/schema-definitions/capacityconstraints.md): Schema: #/components/schemas/CapacityConstraints
 - [CapacityConstraint](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_state_service_openapi/schema-definitions/capacityconstraint.md): Schema: #/components/schemas/CapacityConstraint
 - [StateServiceQuota](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_state_service_openapi/schema-definitions/stateservicequota.md): Schema: #/components/schemas/StateServiceQuota
 - [EESy Request Status](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_state_service_openapi/schema-definitions/status.md): Schema: #/components/schemas/Status
